Subject: Re: bug#73737: configure error at "checking dynamic linker characteristics"

From: Ileana Dumitrescu <[email-masked]>
Date: Wed, 16 Oct 2024 17:35:27 +0300

On 15/10/2024 23:03, Bruno Haible wrote:
> Ileana Dumitrescu wrote:
>> This bug should be resolved with a patch submitted on Savannah:
>> https://savannah.gnu.org/patch/index.php?10481
> 
> While this patch is an improvement — it avoids an error message
> if $multilib was unset or empty or started with a '-' character —
> it still is not the full fix. Namely, it does word splitting.
> When I set
>    export multilib='yes and no'
> then run configure, I see an error message:
> 
>    checking dynamic linker characteristics... ../configure: line 11854: test: too many arguments
> 
> Really, word splitting should be avoided on unstrusted inputs [1].
> Here is a patch that does so.
> 
> [1] https://stackoverflow.com/questions/3811345/
> 

Thank you for looking into this more. I should have noticed that.

I have applied your patch:
https://git.savannah.gnu.org/cgit/libtool.git/commit/?h=development&id=3cf528a4f04e9da78b06635aac6545709007b882

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354